<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: frontend/src/lib/Main Window/gamestateservice.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_ca0386ec887ae6362f93b0d653b52e0c.html">frontend</a></li><li class="navelem"><a class="el" href="dir_debbd63f1d8db984f7ce6be7690dc411.html">src</a></li><li class="navelem"><a class="el" href="dir_4a296fb22e14d54e648023a35f56bd71.html">lib</a></li><li class="navelem"><a class="el" href="dir_975d5d2dd149c960a63cfc1fda02739a.html">Main Window</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a>  </div>
  <div class="headertitle">
<div class="title">gamestateservice.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;QObject&gt;</code><br />
<code>#include &lt;QTimer&gt;</code><br />
<code>#include &lt;QJsonDocument&gt;</code><br />
<code>#include &lt;QJsonValue&gt;</code><br />
<code>#include &lt;fmt/core.h&gt;</code><br />
<code>#include &lt;curl/curl.h&gt;</code><br />
<code>#include &quot;<a class="el" href="globals_8h_source.html">globals.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="config_8h_source.html">config.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="settingsservice_8h_source.html">settingsservice.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="NetworkService_8hpp_source.html">../network_service/NetworkService.hpp</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for gamestateservice.h:</div>
<div class="dyncontent">
<div class="center"><img src="gamestateservice_8h__incl.png" border="0" usemap="#frontend_2src_2lib_2Main_01Window_2gamestateservice_8h" alt=""/></div>
<map name="frontend_2src_2lib_2Main_01Window_2gamestateservice_8h" id="frontend_2src_2lib_2Main_01Window_2gamestateservice_8h">
<area shape="rect" title=" " alt="" coords="666,5,877,47"/>
<area shape="rect" title=" " alt="" coords="770,184,850,211"/>
<area shape="rect" title=" " alt="" coords="970,259,1029,285"/>
<area shape="rect" title=" " alt="" coords="157,184,231,211"/>
<area shape="rect" title=" " alt="" coords="1429,102,1500,129"/>
<area shape="rect" title=" " alt="" coords="5,184,132,211"/>
<area shape="rect" title=" " alt="" coords="1524,102,1619,129"/>
<area shape="rect" title=" " alt="" coords="256,184,345,211"/>
<area shape="rect" title=" " alt="" coords="875,184,961,211"/>
<area shape="rect" href="globals_8h.html" title=" " alt="" coords="173,102,255,129"/>
<area shape="rect" href="config_8h.html" title=" " alt="" coords="672,184,745,211"/>
<area shape="rect" href="settingsservice_8h.html" title=" " alt="" coords="433,102,566,129"/>
<area shape="rect" href="NetworkService_8hpp.html" title=" " alt="" coords="921,95,1078,136"/>
<area shape="rect" title=" " alt="" coords="575,184,648,211"/>
<area shape="rect" title=" " alt="" coords="369,184,424,211"/>
<area shape="rect" title=" " alt="" coords="449,184,550,211"/>
<area shape="rect" title=" " alt="" coords="1186,184,1253,211"/>
<area shape="rect" title=" " alt="" coords="1277,184,1353,211"/>
<area shape="rect" title=" " alt="" coords="1037,184,1161,211"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="gamestateservice_8h__dep__incl.png" border="0" usemap="#frontend_2src_2lib_2Main_01Window_2gamestateservice_8hdep" alt=""/></div>
<map name="frontend_2src_2lib_2Main_01Window_2gamestateservice_8hdep" id="frontend_2src_2lib_2Main_01Window_2gamestateservice_8hdep">
<area shape="rect" title=" " alt="" coords="301,5,511,47"/>
<area shape="rect" href="Chat_8h.html" title=" " alt="" coords="246,95,401,136"/>
<area shape="rect" href="hostgame_8h.html" title=" " alt="" coords="288,273,447,315"/>
<area shape="rect" href="lobby_8h.html" title=" " alt="" coords="71,363,227,404"/>
<area shape="rect" href="mainwindow_8h.html" title=" " alt="" coords="375,452,551,493"/>
<area shape="rect" href="table_8h.html" title=" " alt="" coords="40,184,196,225"/>
<area shape="rect" href="gamestateservice_8cpp.html" title=" " alt="" coords="551,95,778,136"/>
<area shape="rect" href="Chat_8cpp.html" title=" " alt="" coords="221,184,375,225"/>
<area shape="rect" href="hostgame_8cpp.html" title=" " alt="" coords="251,363,425,404"/>
<area shape="rect" href="lobby_8cpp.html" title=" " alt="" coords="71,452,227,493"/>
<area shape="rect" href="frontend_2src_2lib_2Main_01Window_2main_8cpp.html" title=" " alt="" coords="287,541,443,583"/>
<area shape="rect" href="mainwindow_8cpp.html" title=" " alt="" coords="467,541,657,583"/>
<area shape="rect" href="table_8cpp.html" title=" " alt="" coords="40,273,196,315"/>
</map>
</div>
</div>
<p><a href="gamestateservice_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGameStateService.html">GameStateService</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
